View Issue Details

IDProjectCategoryView StatusLast Update
0002924SymmetricDSBugpublic2016-12-05 10:58
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.10 
Target Version3.8.11Fixed in Version3.8.11 
Summary0002924: java.util.concurrent.TimeoutException: Idle timeout expired: 60000/60000 ms
DescriptionIn 3.8 the idle timeout for embedded Jetty is set to 60 seconds. The new keep alive frequency is also set to 60 seconds. There can be a race condition where the idle timeout happens before the keep alive is sent.
TagsNo tags attached.

Activities

chenson

2016-12-02 10:55

administrator   ~0000923

We should do this on the client side as well to be consistent.

Lets change http.timeout.ms from 300000 to 90000

Related Changesets

SymmetricDS: 3.8 4f87dfe2

2016-11-30 09:50:49

chenson

Details Diff
0002924: java.util.concurrent.TimeoutException: Idle timeout expired:
60000/60000 ms

0002924
mod - symmetric-server/src/main/deploy/conf/sym_service.conf Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/SymmetricWebServer.java Diff File

SymmetricDS: 3.8 8b4c48c4

2016-12-02 10:56:03

chenson

Details Diff
0002924: java.util.concurrent.TimeoutException: Idle timeout expired:
60000/60000 ms

0002924
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2016-11-30 09:50 chenson New Issue
2016-11-30 09:50 chenson Status new => assigned
2016-11-30 09:50 chenson Assigned To => chenson
2016-11-30 09:51 chenson Status assigned => resolved
2016-11-30 09:51 chenson Fixed in Version => 3.8.11
2016-11-30 09:51 chenson Resolution open => fixed
2016-11-30 10:00 chenson Changeset attached => SymmetricDS 3.8 4f87dfe2
2016-12-02 10:55 chenson Note Added: 0000923
2016-12-02 11:00 chenson Changeset attached => SymmetricDS 3.8 8b4c48c4
2016-12-05 10:58 chenson Status resolved => closed